Skip to main content
GET
/
orgs
/
{orgId}
/
compliance
/
controls
/
{controlId}
/
evidence
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId}/evidence \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "controlId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "content": {},
      "url": "<string>",
      "collectedAt": "<string>",
      "expiresAt": "<string>",
      "createdAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

controlId
string
required

Compliance control identifier

Query Parameters

type
enum<string>

Filter by evidence type

Available options:
AUTOMATED,
MANUAL,
SCREENSHOT,
DOCUMENT
source
enum<string>

Filter by evidence source

Available options:
GITHUB,
AWS,
CLERK,
INTERNAL,
MANUAL
cursor
string

Pagination cursor

limit
integer
default:20

Maximum number of items to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of evidence items

items
object[]
required

List of evidence items

nextCursor
string | null
required

Cursor for the next page, null if no more results